Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.security
Class GetUsersResponse

    java.lang.Object
      org.labkey.remoteapi.CommandResponse
          org.labkey.remoteapi.security.GetUsersResponse

    public class GetUsersResponse

extends CommandResponse

The result of a GetUsersCommand request. User: jeckels Date: Jan 26, 2010

Nested Class Summary
`static class` | `GetUsersResponse.UserInfo` Information about a single user that matched the request

Constructor Summary
`GetUsersResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetUsersCommand sourceCommand)`

Method Summary
`java.lang.String` | `getContainerPath()`
`java.util.List<GetUsersResponse.UserInfo>` | `getUsersInfo()`

Methods inherited from class org.labkey.remoteapi.CommandResponse
`findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUsersResponse

    public GetUsersResponse(java.lang.String text,
                            int statusCode,
                            java.lang.String contentType,
                            org.json.simple.JSONObject json,
                            GetUsersCommand sourceCommand)

Method Detail

### getUsersInfo

    public java.util.List<GetUsersResponse.UserInfo> getUsersInfo()

  Returns:
    the users that matched the request

### getContainerPath

    public java.lang.String getContainerPath()

  Returns:
    the path of the requested container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD